package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.common.enums.ReportType;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public class MonthlyReportData extends ReportData {
    private List<ReportNetReportDTO> netReport;

    @Override
    public ReportType getReportType() {
        return ReportType.MONTHLY;
    }

    @Override
    public String toString() {
        return "{" +
                super.toString() +
                ", netReport=" + netReport +
                '}';
    }
}
