package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.common.enums.ReportType;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public abstract class ReportData {
    private ReportBaseInfoDTO baseInfo;
    private ReportFundInfoDTO fundInfo;

    public abstract ReportType getReportType();

    @Override
    public String toString() {
        return "baseInfo=" + baseInfo +
                ", fundInfo=" + fundInfo +
                ", reportType" + this.getReportType();
    }
}
