package com.simuwang.daq.service;

import cn.hutool.core.collection.ListUtil;
import com.simuwang.base.common.conts.EmailTypeConst;
import com.simuwang.base.pojo.dto.EmailContentInfoDTO;
import com.simuwang.base.pojo.dto.EmailFundNavDTO;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2024/9/25 14:52
 * @description 报告的解析逻辑，目前先调用python接口
 */
@Component
public class ReportEmailParser extends AbstractEmailParser {

    @Override
    public boolean isSupport(Integer emailType) {
        return EmailTypeConst.REPORT_EMAIL_TYPE.equals(emailType);
    }

    @Override
    public List<EmailFundNavDTO> parse(EmailContentInfoDTO emailContentInfoDTO, Map<String, List<String>> emailFieldMap) {
        // 目前啥也不做，调用python的逻辑在EmailParseService里写死，等java的逻辑完成后注释掉python逻辑
        return ListUtil.empty();
    }
}
