package com.simuwang.base.common.enums;

import lombok.Getter;

@Getter
public enum ReportType {
    MONTHLY(0, "月报"),
    QUARTERLY(1, "季报"),
    ANNUALLY(2, "年报");

    private final int type;
    private final String label;

    ReportType(int type, String label) {
        this.type = type;
        this.label = label;
    }
}
